% ECE301RunPFSCV is a script that loads data from a .csv file, coordinates
% a function call to ParametricFourierSeriesConvergenceVid with that data,
% and plays the resultant video. The output video is created permanantly,
% so there is no need to run this script multiple times! Warning: it make
% take a while to run.

%% Input Variables -- Change these! 
csvFilename = 'test.csv';        % name of the .csv file containing the data
aviFilename = 'test.avi';        % name of the created output video file
periodicity = 0;                 % periodicity of the data - is it a closed shape? (try with both 0 and 1!)

%% Execution
data = csvread(csvFilename, 1, 0);   % reads data from .csv file starting at row offset of 1
X = data(:, 1);                      % first column - x(t)
Y = data(:, 2);                      % second column - y(t)

ParametricFourierSeriesConvergenceVid(X, Y, aviFilename, periodicity);   
handle = implay(aviFilename);        % plays the video, then resizes player
handle.Parent.Position = handle.Parent.Position + [-150, -150, 300, 300];